using System.Threading.Tasks;
using Nop.Core;
using Nop.Plugin.Widgets.AgeVerification.Components;
using Nop.Services.Cms;
using Nop.Services.Plugins;
using Nop.Web.Framework.Infrastructure;

namespace Nop.Plugin.Widgets.AgeVerification
{
    public class AgeVerificationPlugin : BasePlugin, IWidgetPlugin
    {
        public bool HideInWidgetList => true;

        public Type GetWidgetViewComponent(string widgetZone)
        {
            return typeof(AgeVerificationViewComponent);
        }

        public Task<IList<string>> GetWidgetZonesAsync()
        {
            return Task.FromResult<IList<string>>(new List<string> { PublicWidgetZones.HomepageTop });
        }

        public override async Task InstallAsync()
        {
            // Add installation logic if needed
            await base.InstallAsync();
        }

        public override async Task UninstallAsync()
        {
            // Add uninstallation logic if needed
            await base.UninstallAsync();
        }
    }
}